Subject: Re: bug#416: elpa-debian-el: Reports go to the Debian BTS

From: Mark Hindley <[email-masked]>
Date: Sun, 29 Mar 2020 10:59:24 +0100

On Sun, Mar 29, 2020 at 01:19:28PM +0900, Olaf Meeuwissen wrote:
> Hi Mark,
> 
> Mark Hindley writes:
> 
> > Olaf,
> >
> > Thanks for this.
> >
> > We have a problem with bug reporting tools as they are generally designed to
> > work with a single BTS. reportbug itself does work with multiple BTS and I am working
> > at a system which automatically sends bugs to the correct BTS depending on the
> > source of the package.
> 
> Is that server-side or client-side?  I hope the latter as I believe that
> reportbug can be made to look at the package's version to decide which
> of the Devuan and Debian BTSs should be targetted.

Yes, client-side. We can use 'Origin: Devuan' in our packages to distinguish in
reportbug once all Devuan's packages have that added to their source
debian/control.

> > However, as far as elpa-debian-el goes, does setting the variables
> > debian-bug-mail-address, debian-bug-mail-quiet-address and
> > debian-bug-mail-maintonly-address to their @bugs.devuan.org equivalents work?
> 
> I've tested this in #420 but, as noted there too, there are a lot of
> other references to debian.org that may need to be updated as well for
> full integration.  While desirable, I don't think that's a priority
> though.

I am glad that is a temporary work-around.

> Looking through debian-bugs.el, I noticed that debian-bug-prefill-report
> throws out the mail headers generated by reportbug :-o
> The mail headers generated by reportbug already use the Devuan addresses
> so it may be better to defer to those if available.  That's not really a
> Devuan-specific issue though.

That seems bizzarre behaviour! Maybe that is worth bugging Debian about?

Thanks

Mark